Xerces-C++: XMLFloat Class Reference

# XMLFloat Class Reference

Inheritance diagram for XMLFloat:

List of all members.

## Public Member Functions
| XMLFloat (const XMLCh *const strValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a newly allocated `XMLFloat` object that represents the value represented by the string.
| ~XMLFloat ()
| XMLFloat (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
## Static Public Member Functions
static int | compareValues (const XMLFloat *const lValue, const XMLFloat *const rValue)
| Compares the two specified XMLFloat objects.
## Protected Member Functions
virtual void | checkBoundary (char *const strValue)

## Constructor & Destructor Documentation

XMLFloat::XMLFloat | ( | const XMLCh *const | strValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Constructs a newly allocated `XMLFloat` object that represents the value represented by the string.

Parameters:

  | strValue | the `String` to be converted to an `XMLFloat`.
  | manager | Pointer to the memory manager to be used to allocate objects.

Exceptions:

  | NumberFormatException | if the `String` does not contain a parsable XMLFloat.

XMLFloat::~XMLFloat | ( |  | ) |

XMLFloat::XMLFloat | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## Member Function Documentation

int XMLFloat::compareValues | ( | const XMLFloat *const | lValue,
|  | const XMLFloat *const | rValue |
| ) |  |  | `[static]`

Compares the two specified XMLFloat objects.

The result is `true` if and only if the argument is not `null` and that contains the same `int` value.

Parameters:

  | lValue | the object to compare with.
  | rValue | the object to compare against.

Returns:
  `true` if the objects are the same; `false` otherwise.

References XMLAbstractDoubleFloat::compareValues(), and XMLAbstractDoubleFloat::getMemoryManager().

virtual void XMLFloat::checkBoundary | ( | char *const | strValue | ) | `[protected, virtual]`

Implements XMLAbstractDoubleFloat.

The documentation for this class was generated from the following file:

- XMLFloat.hpp